import { constructor as Analytics } from '@segment/analytics.js-core'
import Segment from '@segment/analytics.js-integration-segmentio'
import VisualTagger from './integration'

window.analytics = new Analytics()
  .use(Segment)
  .use(VisualTagger)
  .add(new Segment())
  .add(new VisualTagger())
  .initialize({
    'Segment.io': {
      apiKey: process.env.WRITE_KEY
    },
    'Visual Tagger': {
      sourceId: process.env.SOURCE_ID,
      workspaceId: process.env.WORKSPACE_ID
    }
  })
